Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class AbstractAttachQueue

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              org.richfaces.component.AbstractAttachQueue

All Implemented Interfaces:
  java.util.EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder

Direct Known Subclasses:
  UIAttachQueue

    public abstract class AbstractAttachQueue

extends javax.faces.component.UIComponentBase
implements javax.faces.event.ComponentSystemEventListener

Author:
  Nick Belaevski

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIComponent
`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

Constructor Summary
`AbstractAttachQueue()`

Method Summary
`void` | `associateWith(AjaxBehavior behavior)` Establishes association between attachQueue component and behavior passed as method argument.
`void` | `associateWith(javax.faces.component.UIComponent component)` Establishes association between attachQueue component and component passed as method argument.
`java.lang.String` | `getFamily()`
`abstract java.lang.String` | `getName()`
`abstract java.lang.String` | `getOnrequestdequeue()`
`abstract java.lang.String` | `getOnrequestqueue()`
`java.lang.String` | `getQueueId()`
`abstract int` | `getRequestDelay()`
`abstract java.lang.String` | `getRequestGroupingId()`
`abstract boolean` | `isIgnoreDupResponses()`
`void` | `processEvent(javax.faces.event.ComponentSystemEvent event)`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, broadcast, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### AbstractAttachQueue

    public AbstractAttachQueue()

Method Detail

### getRequestGroupingId

    public abstract java.lang.String getRequestGroupingId()

### getRequestDelay

    public abstract int getRequestDelay()

### isIgnoreDupResponses

    public abstract boolean isIgnoreDupResponses()

### getOnrequestqueue

    public abstract java.lang.String getOnrequestqueue()

### getOnrequestdequeue

    public abstract java.lang.String getOnrequestdequeue()

### getName

    public abstract java.lang.String getName()

### getQueueId

    public java.lang.String getQueueId()

### getFamily

    public java.lang.String getFamily()

  Specified by:
    `getFamily` in class `javax.faces.component.UIComponent`

### associateWith

    public void associateWith(javax.faces.component.UIComponent component)

  Establishes association between attachQueue component and component passed as method argument.

  Association can be established either immediately just before returning from this method, or postponed until attachQueue component will be added to view.

  Parameters:
    `component` -

### associateWith

    public void associateWith(AjaxBehavior behavior)

  Establishes association between attachQueue component and behavior passed as method argument.

  Association can be established either immediately just before returning from this method, or postponed until attachQueue component will be added to view.

  Parameters:
    `behavior` -

### processEvent

    public void processEvent(javax.faces.event.ComponentSystemEvent event)
                      throws javax.faces.event.AbortProcessingException

  Specified by:
    `processEvent` in interface `javax.faces.event.ComponentSystemEventListener`
  Overrides:
    `processEvent` in class `javax.faces.component.UIComponent`
  Throws:
    `javax.faces.event.AbortProcessingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.